aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-04 09:10:05 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-04-04 09:10:05 +0000
commit06252284bd423f28b2e09ef3ff4845a4f09aeb98 (patch)
treebb32ca519f637122779c76c12690ecbd5644d246
parentdea348e1d60abb19c1b9dea6f98c891cb02002f1 (diff)
downloadpaludis-06252284bd423f28b2e09ef3ff4845a4f09aeb98.tar.gz
paludis-06252284bd423f28b2e09ef3ff4845a4f09aeb98.tar.xz
Use --remove-destination with cp, to avoid mmap issues
-rw-r--r--ebuild/builtin_merge.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/ebuild/builtin_merge.bash b/ebuild/builtin_merge.bash
index d0bf124..f5c24e0 100644
--- a/ebuild/builtin_merge.bash
+++ b/ebuild/builtin_merge.bash
@@ -35,7 +35,8 @@ builtin_merge()
install -d "${ROOT}/" || die "couldn't make \${ROOT} (\"${ROOT}\")"
if [[ -d "${D}" ]] ; then
- cp -vdfpR "${D}/"* "${ROOT}/" || die "builtin_merge failed"
+ cp --remove-destination -vdfpR "${D}/"* "${ROOT}/" \
+ || die "builtin_merge failed"
fi
fi